Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.project
Interface IProjectFilter

All Superinterfaces:
  IFilter

public interface IProjectFilter
extends IFilter

Filters used for querying projects.

Method Summary
`ProjectFilterType` | `getFilterType()` Returns the type of project filter.
`java.lang.String` | `getNameSearchText()` Returns the search text used for project names.
`ProjectQueryOrder[]` | `getQueryOrders()` Returns the `ProjectQueryOrder` that the results will be returned in.
`void` | `setFilterType(ProjectFilterType filterType)` Sets the type of project filter.
`void` | `setNameSearchText(java.lang.String searchText)` Sets the project name search text.
`void` | `setQueryOrders(ProjectQueryOrder[] queryOrders)` Sets the `ProjectQueryOrder` for the rows to return.

Methods inherited from interface com.plumtree.remote.prc.collaboration.query.IFilter
`getMaximumResults, isRestoreSecurity, setMaximumResults, setRestoreSecurity`

Method Detail

### getFilterType

    public ProjectFilterType getFilterType()

  Returns the type of project filter.

  Returns:
    the type of project filter.

### getNameSearchText

    public java.lang.String getNameSearchText()

  Returns the search text used for project names.

  Returns:
    the search text string.

### getQueryOrders

    public ProjectQueryOrder[] getQueryOrders()

  Returns the `ProjectQueryOrder` that the results will be returned in.

  Returns:
    queryField an array of `ProjectQueryOrder`.

### setFilterType

    public void setFilterType(ProjectFilterType filterType)

  Sets the type of project filter.

  Parameters:
    `filterType` - type of project filter; cannot be `null`

### setNameSearchText

    public void setNameSearchText(java.lang.String searchText)

  Sets the project name search text. The search string is case-insensitive by default. When using a project name filter all projects will be returned that contain the text using the form *text*. e.g given a project name "A foo Project", "Foo Project", "Something About fOO". A search text of "Foo" will return all three projects.

  Parameters:
    `searchText` - the search text, case-insensitive.

### setQueryOrders

    public void setQueryOrders(ProjectQueryOrder[] queryOrders)

  Sets the `ProjectQueryOrder` for the rows to return. The rows will be returned as the order of the `ProjectQueryOrder` array.

  Parameters:
    `queryOrders` - an array of `ProjectQueryOrder`; cannot be null or of 0 length.
  Throws:
    `java.lang.IllegalArgumentException` - if queryOrders is of size 0.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.